FreeMat

- Main Page
- Related Pages

vtkDSPFilterDefinition

Section: Visualization Toolkit Hybrid Classes

# Usage

vtkDSPFilterDefinition is used by vtkExodusReader, vtkExodusIIReader and vtkPExodusReader to do temporal smoothing of data

To create an instance of class vtkDSPFilterDefinition, simply invoke its constructor as follows

      obj = vtkDSPFilterDefinition

# Methods

The class vtkDSPFilterDefinition has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDSPFilterDefinition class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDSPFilterDefinition = obj.NewInstance ()`
- `vtkDSPFilterDefinition = obj.SafeDownCast (vtkObject o)`
- `obj.Copy (vtkDSPFilterDefinition other)`
- `obj.Clear ()`
- `bool = obj.IsThisInputVariableInstanceNeeded (int a_timestep, int a_outputTimestep)`
- `obj.PushBackNumeratorWeight (double a_value)`
- `obj.PushBackDenominatorWeight (double a_value)`
- `obj.PushBackForwardNumeratorWeight (double a_value)`
- `obj.SetInputVariableName (string a_value)`
- `obj.SetOutputVariableName (string a_value)`
- `string = obj.GetInputVariableName ()`
- `string = obj.GetOutputVariableName ()`
- `int = obj.GetNumNumeratorWeights ()`
- `int = obj.GetNumDenominatorWeights ()`
- `int = obj.GetNumForwardNumeratorWeights ()`
- `double = obj.GetNumeratorWeight (int a_which)`
- `double = obj.GetDenominatorWeight (int a_which)`
- `double = obj.GetForwardNumeratorWeight (int a_which)`